Bug 221191 - devel/plan9port: Update to 20170723
Summary: devel/plan9port: Update to 20170723
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-08-03 02:35 UTC by kd-dev
Modified: 2017-08-17 18:07 UTC (History)
0 users

See Also:


Attachments
Update to 20170723 (8.22 KB, patch)
2017-08-03 02:35 UTC, kd-dev
koobs: maintainer-approval+
Details | Diff
Poudriere build log (28.37 KB, text/x-log)
2017-08-03 02:36 UTC, kd-dev
no flags Details
Poudriere build log (with non-standard PREFIX) (28.72 KB, text/x-log)
2017-08-03 02:37 UTC, kd-dev
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description kd-dev 2017-08-03 02:35:47 UTC
Created attachment 184972 [details]
Update to 20170723

Changes to the port:
 - Add the SRC option
 - Remove an unnecessary dependency on shells/rc
 - Improve support for installing to a non-standard PREFIX
 - Support stripping binaries
 - Disable status updates for scripted builds

Notable changes to plan9port:
 - Import HB, HI and HX fonts from Plan 9 
 - Add the svgpic utility
Comment 1 kd-dev 2017-08-03 02:36:35 UTC
Created attachment 184973 [details]
Poudriere build log
Comment 2 kd-dev 2017-08-03 02:37:46 UTC
Created attachment 184974 [details]
Poudriere build log (with non-standard PREFIX)
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2017-08-06 04:08:12 UTC
Comment on attachment 184972 [details]
Update to 20170723

Port has no maintainer, implicit approval (pending committer QA)
Comment 4 commit-hook freebsd_committer 2017-08-17 18:07:24 UTC
A commit references this bug:

Author: swills
Date: Thu Aug 17 18:06:44 UTC 2017
New revision: 448163
URL: https://svnweb.freebsd.org/changeset/ports/448163

Log:
  devel/plan9port: Update to 20170723

  PR:		221191
  Submitted by:	kdrakehp@zoho.com

Changes:
  head/devel/plan9port/Makefile
  head/devel/plan9port/distinfo
  head/devel/plan9port/files/patch-src-cmd-auxstats-FreeBSD.c
Comment 5 Steve Wills freebsd_committer 2017-08-17 18:07:44 UTC
Committed, thanks!